MANDELBULBER 1.13-1

project leader: Krzysztof Marczak
project members: knighty, makemeunsee, Marius Schilder, Ryan Hitchman, Jeff Epler, Martin Reinecke

contact: buddhi1980@gmail.com
www: http://sites.google.com/site/mandelbulber/
download site: http://sourceforge.net/projects/mandelbulber/
SVN: http://code.google.com/p/mandelbulber/

LICENCE: GNU GPL v3.0

1. REQUIREMENTS

- Linux OS with installed GTK+2.0 libraries (version >2.20), libjpeg
- very fast CPU (recomended 2GHz, 4 cores)
- 2GB RAM

2. COMPILING

libgtk2.0, libjpeg8 are required to compile Mandelbulber.

On Ubuntu or Debian:
sudo apt-get install libgtk2.0-dev libjpeg8-dev

Then:

cd makefiles
make all
cd ..

3. INSTALLATION

please type:
./install

4. TESTED ON:

- Ubuntu 10.10 x64
- Ubuntu 10.10 x86
- Debian Wheeze x64
(there is also available Windows and Mac version)

- gcc 4.7

5. USAGE

Please visit: http://sites.google.com/site/mandelbulber/user-manual

command-line mode:

Syntax:                                                                                              
mandelbulber [options...] [settings_file]
options:
  -nogui            - start program without GUI
  -lowmem           - low memory usage mode
  -flight           - render flight animation
  -keyframe         - render keyframe animation
  -start N          - start renderig from frame number N
  -end N            - rendering will end on frame number N
  -o key=value      - override item 'key' from settings file with new value 'value'
  -res WIDTHxHEIGHT - override image resolution
  -fpk N            - override frames per key parameter
  -format FORMAT    - image output format
     jpg - JPEG format
     png - PNG format
     png16 - 16-bit PNG format
     png16alpha - 16-bit PNG with alpha channel format
[settings_file]     - file with fractal settings (program also tries
to find file in ./mandelbulber/settings directory)
When settings_file is put as command argument then program will start in noGUI mode

